summaryrefslogtreecommitdiffstats
path: root/system/trrntzip
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-11 22:55:33 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:55:33 +0200
commit4d7772792bf3e2eb27a6ba0fc60f4506f41ae4dd (patch)
tree404a78719b049fb92edb33f5e8519a530e97dc5e /system/trrntzip
parent115e639bc392dd9d1c046b008beac89082c09146 (diff)
downloadslackbuilds-4d7772792bf3e2eb27a6ba0fc60f4506f41ae4dd.tar.gz
slackbuilds-4d7772792bf3e2eb27a6ba0fc60f4506f41ae4dd.tar.xz
system/trrntzip: Added to 12.1 repository
Diffstat (limited to 'system/trrntzip')
-rw-r--r--system/trrntzip/README4
-rw-r--r--system/trrntzip/slack-desc11
-rw-r--r--system/trrntzip/trrntzip.SlackBuild49
-rw-r--r--system/trrntzip/trrntzip.info8
4 files changed, 72 insertions, 0 deletions
diff --git a/system/trrntzip/README b/system/trrntzip/README
new file mode 100644
index 0000000000..200d884e69
--- /dev/null
+++ b/system/trrntzip/README
@@ -0,0 +1,4 @@
+TorrentZip (a replacement for MameZip)
+
+The goal of the program is to use standard values when creating zips
+to create identical files over multiple systems.
diff --git a/system/trrntzip/slack-desc b/system/trrntzip/slack-desc
new file mode 100644
index 0000000000..e06d7eb427
--- /dev/null
+++ b/system/trrntzip/slack-desc
@@ -0,0 +1,11 @@
+trrntzip: TorrentZip (a replacement for MameZip)
+trrntzip:
+trrntzip: The goal of the program is to use standard values when creating zips
+trrntzip: to create identical files over multiple systems.
+trrntzip:
+trrntzip:
+trrntzip:
+trrntzip:
+trrntzip:
+trrntzip: http://sourceforge.net/projects/trrntzip/
+trrntzip:
diff --git a/system/trrntzip/trrntzip.SlackBuild b/system/trrntzip/trrntzip.SlackBuild
new file mode 100644
index 0000000000..42019beee3
--- /dev/null
+++ b/system/trrntzip/trrntzip.SlackBuild
@@ -0,0 +1,49 @@
+#!/bin/sh
+
+# Slackware build script for trrntzip
+# Written by Erik Hanson erik@slackbuilds.org
+
+set -eu
+
+PRGNAM=trrntzip
+VERSION=v02
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=`pwd`
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/${PRGNAM}_${VERSION}_src.tar.gz
+cd $PRGNAM
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+./autogen.sh
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --disable-static
+
+make
+make install-strip DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION $PKG/install
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/trrntzip/trrntzip.info b/system/trrntzip/trrntzip.info
new file mode 100644
index 0000000000..1c0db224dc
--- /dev/null
+++ b/system/trrntzip/trrntzip.info
@@ -0,0 +1,8 @@
+PRGNAM="trrntzip"
+VERSION="v02"
+HOMEPAGE="http://sourceforge.net/projects/trrntzip/"
+DOWNLOAD="http://downloads.sourceforge.net/trrntzip/trrntzip_v02_src.tar.gz"
+MD5SUM="2635a4042b3cf5611ffdffb4019ec8b7"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="David Somero" \ No newline at end of file